AntiFeatures:
  NonFreeNet:
    en-US: Depends on Twitter/X, which is proprietary.
Categories:
  - Internet
License: MIT
AuthorName: Jean-Francois Briere
AuthorEmail: jeanfrancois.briere@creativaxion.com
WebSite: https://creativaxion.com/
SourceCode: https://github.com/j-fbriere/squawker
IssueTracker: https://github.com/j-fbriere/squawker/issues
Translation: https://hosted.weblate.org/projects/fritter/
Changelog: https://github.com/j-fbriere/squawker/releases

AutoName: Squawker

RepoType: git
Repo: https://github.com/j-fbriere/squawker.git

Builds:
  - versionName: 3.4.3
    versionCode: 300012011
    commit: 9bf2aae5173efe69555f1455b07af6e4047f0042
    output: build/app/outputs/flutter-apk/app-x86_64-release.apk
    srclibs:
      - flutter@stable
    rm:
      - ios
      - test
    prebuild:
      - version=$(sed -n -E "s/.*flutter-version:\ '(.*)'/\1/p" .github/workflows/release.yml)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter packages pub run intl_utils:generate
      - export cmdVerCode=$(($$VERCODE$$ - 1))
      - echo "*** VERSION=$$VERSION$$ VERCODE=$$VERCODE$$ cmdVerCode=$cmdVerCode"
      - $$flutter$$/bin/flutter build apk --dart-define=app.flavor=fdroid --release
        --no-tree-shake-icons --split-per-abi --target-platform=android-x64 --build-name=$$VERSION$$
        --build-number=$cmdVerCode

  - versionName: 3.4.3
    versionCode: 300012012
    commit: 9bf2aae5173efe69555f1455b07af6e4047f0042
    output: build/app/outputs/flutter-apk/app-armeabi-v7a-release.apk
    srclibs:
      - flutter@stable
    rm:
      - ios
      - test
    prebuild:
      - version=$(sed -n -E "s/.*flutter-version:\ '(.*)'/\1/p" .github/workflows/release.yml)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter packages pub run intl_utils:generate
      - export cmdVerCode=$(($$VERCODE$$ - 2))
      - echo "*** VERSION=$$VERSION$$ VERCODE=$$VERCODE$$ cmdVerCode=$cmdVerCode"
      - $$flutter$$/bin/flutter build apk --dart-define=app.flavor=fdroid --release
        --no-tree-shake-icons --split-per-abi --target-platform=android-arm --build-name=$$VERSION$$
        --build-number=$cmdVerCode

  - versionName: 3.4.3
    versionCode: 300012013
    commit: 9bf2aae5173efe69555f1455b07af6e4047f0042
    output: build/app/outputs/flutter-apk/app-arm64-v8a-release.apk
    srclibs:
      - flutter@stable
    rm:
      - ios
      - test
    prebuild:
      - version=$(sed -n -E "s/.*flutter-version:\ '(.*)'/\1/p" .github/workflows/release.yml)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter packages pub run intl_utils:generate
      - export cmdVerCode=$(($$VERCODE$$ - 3))
      - echo "*** VERSION=$$VERSION$$ VERCODE=$$VERCODE$$ cmdVerCode=$cmdVerCode"
      - $$flutter$$/bin/flutter build apk --dart-define=app.flavor=fdroid --release
        --no-tree-shake-icons --split-per-abi --target-platform=android-arm64 --build-name=$$VERSION$$
        --build-number=$cmdVerCode

  - versionName: 3.4.4
    versionCode: 300012181
    commit: v3.4.4
    output: build/app/outputs/flutter-apk/app-x86_64-release.apk
    srclibs:
      - flutter@stable
    rm:
      - ios
      - test
    prebuild:
      - version=$(sed -n -E "s/.*flutter-version:\ '(.*)'/\1/p" .github/workflows/release.yml)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter packages pub run intl_utils:generate
      - export cmdVerCode=$(($$VERCODE$$ - 1))
      - echo "*** VERSION=$$VERSION$$ VERCODE=$$VERCODE$$ cmdVerCode=$cmdVerCode"
      - $$flutter$$/bin/flutter build apk --dart-define=app.flavor=fdroid --release
        --no-tree-shake-icons --split-per-abi --target-platform=android-x64 --build-name=$$VERSION$$
        --build-number=$cmdVerCode

  - versionName: 3.4.4
    versionCode: 300012182
    commit: v3.4.4
    output: build/app/outputs/flutter-apk/app-armeabi-v7a-release.apk
    srclibs:
      - flutter@stable
    rm:
      - ios
      - test
    prebuild:
      - version=$(sed -n -E "s/.*flutter-version:\ '(.*)'/\1/p" .github/workflows/release.yml)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter packages pub run intl_utils:generate
      - export cmdVerCode=$(($$VERCODE$$ - 2))
      - echo "*** VERSION=$$VERSION$$ VERCODE=$$VERCODE$$ cmdVerCode=$cmdVerCode"
      - $$flutter$$/bin/flutter build apk --dart-define=app.flavor=fdroid --release
        --no-tree-shake-icons --split-per-abi --target-platform=android-arm --build-name=$$VERSION$$
        --build-number=$cmdVerCode

  - versionName: 3.4.4
    versionCode: 300012183
    commit: v3.4.4
    output: build/app/outputs/flutter-apk/app-arm64-v8a-release.apk
    srclibs:
      - flutter@stable
    rm:
      - ios
      - test
    prebuild:
      - version=$(sed -n -E "s/.*flutter-version:\ '(.*)'/\1/p" .github/workflows/release.yml)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter packages pub run intl_utils:generate
      - export cmdVerCode=$(($$VERCODE$$ - 3))
      - echo "*** VERSION=$$VERSION$$ VERCODE=$$VERCODE$$ cmdVerCode=$cmdVerCode"
      - $$flutter$$/bin/flutter build apk --dart-define=app.flavor=fdroid --release
        --no-tree-shake-icons --split-per-abi --target-platform=android-arm64 --build-name=$$VERSION$$
        --build-number=$cmdVerCode

  - versionName: 3.5.0
    versionCode: 300012271
    commit: v3.5.0
    output: build/app/outputs/flutter-apk/app-x86_64-release.apk
    srclibs:
      - flutter@stable
    rm:
      - ios
      - test
    prebuild:
      - version=$(sed -n -E "s/.*flutter-version:\ '(.*)'/\1/p" .github/workflows/release.yml)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter packages pub run intl_utils:generate
      - export cmdVerCode=$(($$VERCODE$$ - 1))
      - echo "*** VERSION=$$VERSION$$ VERCODE=$$VERCODE$$ cmdVerCode=$cmdVerCode"
      - $$flutter$$/bin/flutter build apk --dart-define=app.flavor=fdroid --release
        --no-tree-shake-icons --split-per-abi --target-platform=android-x64 --build-name=$$VERSION$$
        --build-number=$cmdVerCode

  - versionName: 3.5.0
    versionCode: 300012272
    commit: v3.5.0
    output: build/app/outputs/flutter-apk/app-armeabi-v7a-release.apk
    srclibs:
      - flutter@stable
    rm:
      - ios
      - test
    prebuild:
      - version=$(sed -n -E "s/.*flutter-version:\ '(.*)'/\1/p" .github/workflows/release.yml)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter packages pub run intl_utils:generate
      - export cmdVerCode=$(($$VERCODE$$ - 2))
      - echo "*** VERSION=$$VERSION$$ VERCODE=$$VERCODE$$ cmdVerCode=$cmdVerCode"
      - $$flutter$$/bin/flutter build apk --dart-define=app.flavor=fdroid --release
        --no-tree-shake-icons --split-per-abi --target-platform=android-arm --build-name=$$VERSION$$
        --build-number=$cmdVerCode

  - versionName: 3.5.0
    versionCode: 300012273
    commit: v3.5.0
    output: build/app/outputs/flutter-apk/app-arm64-v8a-release.apk
    srclibs:
      - flutter@stable
    rm:
      - ios
      - test
    prebuild:
      - version=$(sed -n -E "s/.*flutter-version:\ '(.*)'/\1/p" .github/workflows/release.yml)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter packages pub run intl_utils:generate
      - export cmdVerCode=$(($$VERCODE$$ - 3))
      - echo "*** VERSION=$$VERSION$$ VERCODE=$$VERCODE$$ cmdVerCode=$cmdVerCode"
      - $$flutter$$/bin/flutter build apk --dart-define=app.flavor=fdroid --release
        --no-tree-shake-icons --split-per-abi --target-platform=android-arm64 --build-name=$$VERSION$$
        --build-number=$cmdVerCode

  - versionName: 3.5.1
    versionCode: 300012341
    commit: v3.5.1
    output: build/app/outputs/flutter-apk/app-x86_64-release.apk
    srclibs:
      - flutter@stable
    rm:
      - ios
      - test
    prebuild:
      - version=$(sed -n -E "s/.*flutter-version:\ '(.*)'/\1/p" .github/workflows/release.yml)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter packages pub run intl_utils:generate
      - export cmdVerCode=$(($$VERCODE$$ - 1))
      - echo "*** VERSION=$$VERSION$$ VERCODE=$$VERCODE$$ cmdVerCode=$cmdVerCode"
      - $$flutter$$/bin/flutter build apk --dart-define=app.flavor=fdroid --release
        --no-tree-shake-icons --split-per-abi --target-platform=android-x64 --build-name=$$VERSION$$
        --build-number=$cmdVerCode

  - versionName: 3.5.1
    versionCode: 300012342
    commit: v3.5.1
    output: build/app/outputs/flutter-apk/app-armeabi-v7a-release.apk
    srclibs:
      - flutter@stable
    rm:
      - ios
      - test
    prebuild:
      - version=$(sed -n -E "s/.*flutter-version:\ '(.*)'/\1/p" .github/workflows/release.yml)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter packages pub run intl_utils:generate
      - export cmdVerCode=$(($$VERCODE$$ - 2))
      - echo "*** VERSION=$$VERSION$$ VERCODE=$$VERCODE$$ cmdVerCode=$cmdVerCode"
      - $$flutter$$/bin/flutter build apk --dart-define=app.flavor=fdroid --release
        --no-tree-shake-icons --split-per-abi --target-platform=android-arm --build-name=$$VERSION$$
        --build-number=$cmdVerCode

  - versionName: 3.5.1
    versionCode: 300012343
    commit: v3.5.1
    output: build/app/outputs/flutter-apk/app-arm64-v8a-release.apk
    srclibs:
      - flutter@stable
    rm:
      - ios
      - test
    prebuild:
      - version=$(sed -n -E "s/.*flutter-version:\ '(.*)'/\1/p" .github/workflows/release.yml)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter packages pub run intl_utils:generate
      - export cmdVerCode=$(($$VERCODE$$ - 3))
      - echo "*** VERSION=$$VERSION$$ VERCODE=$$VERCODE$$ cmdVerCode=$cmdVerCode"
      - $$flutter$$/bin/flutter build apk --dart-define=app.flavor=fdroid --release
        --no-tree-shake-icons --split-per-abi --target-platform=android-arm64 --build-name=$$VERSION$$
        --build-number=$cmdVerCode

  - versionName: 3.5.2
    versionCode: 300012371
    commit: v3.5.2
    output: build/app/outputs/flutter-apk/app-x86_64-release.apk
    srclibs:
      - flutter@stable
    rm:
      - ios
      - test
    prebuild:
      - version=$(sed -n -E "s/.*flutter-version:\ '(.*)'/\1/p" .github/workflows/release.yml)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter packages pub run intl_utils:generate
      - export cmdVerCode=$(($$VERCODE$$ - 1))
      - echo "*** VERSION=$$VERSION$$ VERCODE=$$VERCODE$$ cmdVerCode=$cmdVerCode"
      - $$flutter$$/bin/flutter build apk --dart-define=app.flavor=fdroid --release
        --no-tree-shake-icons --split-per-abi --target-platform=android-x64 --build-name=$$VERSION$$
        --build-number=$cmdVerCode

  - versionName: 3.5.2
    versionCode: 300012372
    commit: v3.5.2
    output: build/app/outputs/flutter-apk/app-armeabi-v7a-release.apk
    srclibs:
      - flutter@stable
    rm:
      - ios
      - test
    prebuild:
      - version=$(sed -n -E "s/.*flutter-version:\ '(.*)'/\1/p" .github/workflows/release.yml)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter packages pub run intl_utils:generate
      - export cmdVerCode=$(($$VERCODE$$ - 2))
      - echo "*** VERSION=$$VERSION$$ VERCODE=$$VERCODE$$ cmdVerCode=$cmdVerCode"
      - $$flutter$$/bin/flutter build apk --dart-define=app.flavor=fdroid --release
        --no-tree-shake-icons --split-per-abi --target-platform=android-arm --build-name=$$VERSION$$
        --build-number=$cmdVerCode

  - versionName: 3.5.2
    versionCode: 300012373
    commit: v3.5.2
    output: build/app/outputs/flutter-apk/app-arm64-v8a-release.apk
    srclibs:
      - flutter@stable
    rm:
      - ios
      - test
    prebuild:
      - version=$(sed -n -E "s/.*flutter-version:\ '(.*)'/\1/p" .github/workflows/release.yml)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter packages pub run intl_utils:generate
      - export cmdVerCode=$(($$VERCODE$$ - 3))
      - echo "*** VERSION=$$VERSION$$ VERCODE=$$VERCODE$$ cmdVerCode=$cmdVerCode"
      - $$flutter$$/bin/flutter build apk --dart-define=app.flavor=fdroid --release
        --no-tree-shake-icons --split-per-abi --target-platform=android-arm64 --build-name=$$VERSION$$
        --build-number=$cmdVerCode

  - versionName: 3.5.3
    versionCode: 300012421
    commit: v3.5.3
    output: build/app/outputs/flutter-apk/app-x86_64-release.apk
    srclibs:
      - flutter@stable
    rm:
      - ios
      - test
    prebuild:
      - version=$(sed -n -E "s/.*flutter-version:\ '(.*)'/\1/p" .github/workflows/release.yml)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter packages pub run intl_utils:generate
      - export cmdVerCode=$(($$VERCODE$$ - 1))
      - echo "*** VERSION=$$VERSION$$ VERCODE=$$VERCODE$$ cmdVerCode=$cmdVerCode"
      - $$flutter$$/bin/flutter build apk --dart-define=app.flavor=fdroid --release
        --no-tree-shake-icons --split-per-abi --target-platform=android-x64 --build-name=$$VERSION$$
        --build-number=$cmdVerCode

  - versionName: 3.5.3
    versionCode: 300012422
    commit: v3.5.3
    output: build/app/outputs/flutter-apk/app-armeabi-v7a-release.apk
    srclibs:
      - flutter@stable
    rm:
      - ios
      - test
    prebuild:
      - version=$(sed -n -E "s/.*flutter-version:\ '(.*)'/\1/p" .github/workflows/release.yml)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter packages pub run intl_utils:generate
      - export cmdVerCode=$(($$VERCODE$$ - 2))
      - echo "*** VERSION=$$VERSION$$ VERCODE=$$VERCODE$$ cmdVerCode=$cmdVerCode"
      - $$flutter$$/bin/flutter build apk --dart-define=app.flavor=fdroid --release
        --no-tree-shake-icons --split-per-abi --target-platform=android-arm --build-name=$$VERSION$$
        --build-number=$cmdVerCode

  - versionName: 3.5.3
    versionCode: 300012423
    commit: v3.5.3
    output: build/app/outputs/flutter-apk/app-arm64-v8a-release.apk
    srclibs:
      - flutter@stable
    rm:
      - ios
      - test
    prebuild:
      - version=$(sed -n -E "s/.*flutter-version:\ '(.*)'/\1/p" .github/workflows/release.yml)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter packages pub run intl_utils:generate
      - export cmdVerCode=$(($$VERCODE$$ - 3))
      - echo "*** VERSION=$$VERSION$$ VERCODE=$$VERCODE$$ cmdVerCode=$cmdVerCode"
      - $$flutter$$/bin/flutter build apk --dart-define=app.flavor=fdroid --release
        --no-tree-shake-icons --split-per-abi --target-platform=android-arm64 --build-name=$$VERSION$$
        --build-number=$cmdVerCode

  - versionName: 3.5.4
    versionCode: 300012491
    commit: v3.5.4
    output: build/app/outputs/flutter-apk/app-x86_64-release.apk
    srclibs:
      - flutter@stable
    rm:
      - ios
      - test
    prebuild:
      - version=$(sed -n -E "s/.*flutter-version:\ '(.*)'/\1/p" .github/workflows/release.yml)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter packages pub run intl_utils:generate
      - export cmdVerCode=$(($$VERCODE$$ - 1))
      - echo "*** VERSION=$$VERSION$$ VERCODE=$$VERCODE$$ cmdVerCode=$cmdVerCode"
      - $$flutter$$/bin/flutter build apk --dart-define=app.flavor=fdroid --release
        --no-tree-shake-icons --split-per-abi --target-platform=android-x64 --build-name=$$VERSION$$
        --build-number=$cmdVerCode

  - versionName: 3.5.4
    versionCode: 300012492
    commit: v3.5.4
    output: build/app/outputs/flutter-apk/app-armeabi-v7a-release.apk
    srclibs:
      - flutter@stable
    rm:
      - ios
      - test
    prebuild:
      - version=$(sed -n -E "s/.*flutter-version:\ '(.*)'/\1/p" .github/workflows/release.yml)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter packages pub run intl_utils:generate
      - export cmdVerCode=$(($$VERCODE$$ - 2))
      - echo "*** VERSION=$$VERSION$$ VERCODE=$$VERCODE$$ cmdVerCode=$cmdVerCode"
      - $$flutter$$/bin/flutter build apk --dart-define=app.flavor=fdroid --release
        --no-tree-shake-icons --split-per-abi --target-platform=android-arm --build-name=$$VERSION$$
        --build-number=$cmdVerCode

  - versionName: 3.5.4
    versionCode: 300012493
    commit: v3.5.4
    output: build/app/outputs/flutter-apk/app-arm64-v8a-release.apk
    srclibs:
      - flutter@stable
    rm:
      - ios
      - test
    prebuild:
      - version=$(sed -n -E "s/.*flutter-version:\ '(.*)'/\1/p" .github/workflows/release.yml)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter packages pub run intl_utils:generate
      - export cmdVerCode=$(($$VERCODE$$ - 3))
      - echo "*** VERSION=$$VERSION$$ VERCODE=$$VERCODE$$ cmdVerCode=$cmdVerCode"
      - $$flutter$$/bin/flutter build apk --dart-define=app.flavor=fdroid --release
        --no-tree-shake-icons --split-per-abi --target-platform=android-arm64 --build-name=$$VERSION$$
        --build-number=$cmdVerCode

  - versionName: 3.6.0
    versionCode: 300012771
    commit: v3.6.0
    output: build/app/outputs/flutter-apk/app-x86_64-release.apk
    srclibs:
      - flutter@stable
    rm:
      - ios
      - test
    prebuild:
      - version=$(sed -n -E "s/.*flutter-version:\ '(.*)'/\1/p" .github/workflows/release.yml)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter packages pub run intl_utils:generate
      - export cmdVerCode=$(($$VERCODE$$ - 1))
      - echo "*** VERSION=$$VERSION$$ VERCODE=$$VERCODE$$ cmdVerCode=$cmdVerCode"
      - $$flutter$$/bin/flutter build apk --dart-define=app.flavor=fdroid --release
        --no-tree-shake-icons --split-per-abi --target-platform=android-x64 --build-name=$$VERSION$$
        --build-number=$cmdVerCode

  - versionName: 3.6.0
    versionCode: 300012772
    commit: v3.6.0
    output: build/app/outputs/flutter-apk/app-armeabi-v7a-release.apk
    srclibs:
      - flutter@stable
    rm:
      - ios
      - test
    prebuild:
      - version=$(sed -n -E "s/.*flutter-version:\ '(.*)'/\1/p" .github/workflows/release.yml)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter packages pub run intl_utils:generate
      - export cmdVerCode=$(($$VERCODE$$ - 2))
      - echo "*** VERSION=$$VERSION$$ VERCODE=$$VERCODE$$ cmdVerCode=$cmdVerCode"
      - $$flutter$$/bin/flutter build apk --dart-define=app.flavor=fdroid --release
        --no-tree-shake-icons --split-per-abi --target-platform=android-arm --build-name=$$VERSION$$
        --build-number=$cmdVerCode

  - versionName: 3.6.0
    versionCode: 300012773
    commit: v3.6.0
    output: build/app/outputs/flutter-apk/app-arm64-v8a-release.apk
    srclibs:
      - flutter@stable
    rm:
      - ios
      - test
    prebuild:
      - version=$(sed -n -E "s/.*flutter-version:\ '(.*)'/\1/p" .github/workflows/release.yml)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter packages pub run intl_utils:generate
      - export cmdVerCode=$(($$VERCODE$$ - 3))
      - echo "*** VERSION=$$VERSION$$ VERCODE=$$VERCODE$$ cmdVerCode=$cmdVerCode"
      - $$flutter$$/bin/flutter build apk --dart-define=app.flavor=fdroid --release
        --no-tree-shake-icons --split-per-abi --target-platform=android-arm64 --build-name=$$VERSION$$
        --build-number=$cmdVerCode

  - versionName: 3.6.3
    versionCode: 300012931
    commit: v3.6.3
    output: build/app/outputs/flutter-apk/app-x86_64-release.apk
    srclibs:
      - flutter@stable
    rm:
      - ios
      - test
    prebuild:
      - version=$(sed -n -E "s/.*flutter-version:\ '(.*)'/\1/p" .github/workflows/release.yml)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter packages pub run intl_utils:generate
      - export cmdVerCode=$(($$VERCODE$$ - 1))
      - echo "*** VERSION=$$VERSION$$ VERCODE=$$VERCODE$$ cmdVerCode=$cmdVerCode"
      - $$flutter$$/bin/flutter build apk --dart-define=app.flavor=fdroid --release
        --no-tree-shake-icons --split-per-abi --target-platform=android-x64 --build-name=$$VERSION$$
        --build-number=$cmdVerCode

  - versionName: 3.6.3
    versionCode: 300012932
    commit: v3.6.3
    output: build/app/outputs/flutter-apk/app-armeabi-v7a-release.apk
    srclibs:
      - flutter@stable
    rm:
      - ios
      - test
    prebuild:
      - version=$(sed -n -E "s/.*flutter-version:\ '(.*)'/\1/p" .github/workflows/release.yml)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter packages pub run intl_utils:generate
      - export cmdVerCode=$(($$VERCODE$$ - 2))
      - echo "*** VERSION=$$VERSION$$ VERCODE=$$VERCODE$$ cmdVerCode=$cmdVerCode"
      - $$flutter$$/bin/flutter build apk --dart-define=app.flavor=fdroid --release
        --no-tree-shake-icons --split-per-abi --target-platform=android-arm --build-name=$$VERSION$$
        --build-number=$cmdVerCode

  - versionName: 3.6.3
    versionCode: 300012933
    commit: v3.6.3
    output: build/app/outputs/flutter-apk/app-arm64-v8a-release.apk
    srclibs:
      - flutter@stable
    rm:
      - ios
      - test
    prebuild:
      - version=$(sed -n -E "s/.*flutter-version:\ '(.*)'/\1/p" .github/workflows/release.yml)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter packages pub run intl_utils:generate
      - export cmdVerCode=$(($$VERCODE$$ - 3))
      - echo "*** VERSION=$$VERSION$$ VERCODE=$$VERCODE$$ cmdVerCode=$cmdVerCode"
      - $$flutter$$/bin/flutter build apk --dart-define=app.flavor=fdroid --release
        --no-tree-shake-icons --split-per-abi --target-platform=android-arm64 --build-name=$$VERSION$$
        --build-number=$cmdVerCode

  - versionName: 3.6.4
    versionCode: 300013031
    commit: v3.6.4
    output: build/app/outputs/flutter-apk/app-x86_64-release.apk
    srclibs:
      - flutter@stable
    rm:
      - ios
      - test
    prebuild:
      - version=$(sed -n -E "s/.*flutter-version:\ '(.*)'/\1/p" .github/workflows/release.yml)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter packages pub run intl_utils:generate
      - export cmdVerCode=$(($$VERCODE$$ - 1))
      - echo "*** VERSION=$$VERSION$$ VERCODE=$$VERCODE$$ cmdVerCode=$cmdVerCode"
      - $$flutter$$/bin/flutter build apk --dart-define=app.flavor=fdroid --release
        --no-tree-shake-icons --split-per-abi --target-platform=android-x64 --build-name=$$VERSION$$
        --build-number=$cmdVerCode

  - versionName: 3.6.4
    versionCode: 300013032
    commit: v3.6.4
    output: build/app/outputs/flutter-apk/app-armeabi-v7a-release.apk
    srclibs:
      - flutter@stable
    rm:
      - ios
      - test
    prebuild:
      - version=$(sed -n -E "s/.*flutter-version:\ '(.*)'/\1/p" .github/workflows/release.yml)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter packages pub run intl_utils:generate
      - export cmdVerCode=$(($$VERCODE$$ - 2))
      - echo "*** VERSION=$$VERSION$$ VERCODE=$$VERCODE$$ cmdVerCode=$cmdVerCode"
      - $$flutter$$/bin/flutter build apk --dart-define=app.flavor=fdroid --release
        --no-tree-shake-icons --split-per-abi --target-platform=android-arm --build-name=$$VERSION$$
        --build-number=$cmdVerCode

  - versionName: 3.6.4
    versionCode: 300013033
    commit: v3.6.4
    output: build/app/outputs/flutter-apk/app-arm64-v8a-release.apk
    srclibs:
      - flutter@stable
    rm:
      - ios
      - test
    prebuild:
      - version=$(sed -n -E "s/.*flutter-version:\ '(.*)'/\1/p" .github/workflows/release.yml)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter packages pub run intl_utils:generate
      - export cmdVerCode=$(($$VERCODE$$ - 3))
      - echo "*** VERSION=$$VERSION$$ VERCODE=$$VERCODE$$ cmdVerCode=$cmdVerCode"
      - $$flutter$$/bin/flutter build apk --dart-define=app.flavor=fdroid --release
        --no-tree-shake-icons --split-per-abi --target-platform=android-arm64 --build-name=$$VERSION$$
        --build-number=$cmdVerCode

  - versionName: 3.6.5
    versionCode: 300013431
    commit: v3.6.5
    output: build/app/outputs/flutter-apk/app-x86_64-release.apk
    srclibs:
      - flutter@stable
    rm:
      - ios
      - test
    prebuild:
      - version=$(sed -n -E "s/.*flutter-version:\ '(.*)'/\1/p" .github/workflows/release.yml)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter packages pub run intl_utils:generate
      - export cmdVerCode=$(($$VERCODE$$ - 1))
      - echo "*** VERSION=$$VERSION$$ VERCODE=$$VERCODE$$ cmdVerCode=$cmdVerCode"
      - $$flutter$$/bin/flutter build apk --dart-define=app.flavor=fdroid --release
        --no-tree-shake-icons --split-per-abi --target-platform=android-x64 --build-name=$$VERSION$$
        --build-number=$cmdVerCode

  - versionName: 3.6.5
    versionCode: 300013432
    commit: v3.6.5
    output: build/app/outputs/flutter-apk/app-armeabi-v7a-release.apk
    srclibs:
      - flutter@stable
    rm:
      - ios
      - test
    prebuild:
      - version=$(sed -n -E "s/.*flutter-version:\ '(.*)'/\1/p" .github/workflows/release.yml)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter packages pub run intl_utils:generate
      - export cmdVerCode=$(($$VERCODE$$ - 2))
      - echo "*** VERSION=$$VERSION$$ VERCODE=$$VERCODE$$ cmdVerCode=$cmdVerCode"
      - $$flutter$$/bin/flutter build apk --dart-define=app.flavor=fdroid --release
        --no-tree-shake-icons --split-per-abi --target-platform=android-arm --build-name=$$VERSION$$
        --build-number=$cmdVerCode

  - versionName: 3.6.5
    versionCode: 300013433
    commit: v3.6.5
    output: build/app/outputs/flutter-apk/app-arm64-v8a-release.apk
    srclibs:
      - flutter@stable
    rm:
      - ios
      - test
    prebuild:
      - version=$(sed -n -E "s/.*flutter-version:\ '(.*)'/\1/p" .github/workflows/release.yml)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter packages pub run intl_utils:generate
      - export cmdVerCode=$(($$VERCODE$$ - 3))
      - echo "*** VERSION=$$VERSION$$ VERCODE=$$VERCODE$$ cmdVerCode=$cmdVerCode"
      - $$flutter$$/bin/flutter build apk --dart-define=app.flavor=fdroid --release
        --no-tree-shake-icons --split-per-abi --target-platform=android-arm64 --build-name=$$VERSION$$
        --build-number=$cmdVerCode

  - versionName: 3.7.0
    versionCode: 300013471
    commit: v3.7.0
    output: build/app/outputs/flutter-apk/app-x86_64-release.apk
    srclibs:
      - flutter@stable
    rm:
      - ios
      - test
    prebuild:
      - version=$(sed -n -E "s/.*flutter-version:\ '(.*)'/\1/p" .github/workflows/release.yml)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter packages pub run intl_utils:generate
      - export cmdVerCode=$(($$VERCODE$$ - 1))
      - echo "*** VERSION=$$VERSION$$ VERCODE=$$VERCODE$$ cmdVerCode=$cmdVerCode"
      - $$flutter$$/bin/flutter build apk --dart-define=app.flavor=fdroid --release
        --no-tree-shake-icons --split-per-abi --target-platform=android-x64 --build-name=$$VERSION$$
        --build-number=$cmdVerCode

  - versionName: 3.7.0
    versionCode: 300013472
    commit: v3.7.0
    output: build/app/outputs/flutter-apk/app-armeabi-v7a-release.apk
    srclibs:
      - flutter@stable
    rm:
      - ios
      - test
    prebuild:
      - version=$(sed -n -E "s/.*flutter-version:\ '(.*)'/\1/p" .github/workflows/release.yml)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter packages pub run intl_utils:generate
      - export cmdVerCode=$(($$VERCODE$$ - 2))
      - echo "*** VERSION=$$VERSION$$ VERCODE=$$VERCODE$$ cmdVerCode=$cmdVerCode"
      - $$flutter$$/bin/flutter build apk --dart-define=app.flavor=fdroid --release
        --no-tree-shake-icons --split-per-abi --target-platform=android-arm --build-name=$$VERSION$$
        --build-number=$cmdVerCode

  - versionName: 3.7.0
    versionCode: 300013473
    commit: v3.7.0
    output: build/app/outputs/flutter-apk/app-arm64-v8a-release.apk
    srclibs:
      - flutter@stable
    rm:
      - ios
      - test
    prebuild:
      - version=$(sed -n -E "s/.*flutter-version:\ '(.*)'/\1/p" .github/workflows/release.yml)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter packages pub run intl_utils:generate
      - export cmdVerCode=$(($$VERCODE$$ - 3))
      - echo "*** VERSION=$$VERSION$$ VERCODE=$$VERCODE$$ cmdVerCode=$cmdVerCode"
      - $$flutter$$/bin/flutter build apk --dart-define=app.flavor=fdroid --release
        --no-tree-shake-icons --split-per-abi --target-platform=android-arm64 --build-name=$$VERSION$$
        --build-number=$cmdVerCode

  - versionName: 3.7.1
    versionCode: 300013571
    commit: v3.7.1
    output: build/app/outputs/flutter-apk/app-x86_64-release.apk
    srclibs:
      - flutter@stable
    rm:
      - ios
      - test
    prebuild:
      - version=$(sed -n -E "s/.*flutter-version:\ '(.*)'/\1/p" .github/workflows/release.yml)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter packages pub run intl_utils:generate
      - export cmdVerCode=$(($$VERCODE$$ - 1))
      - echo "*** VERSION=$$VERSION$$ VERCODE=$$VERCODE$$ cmdVerCode=$cmdVerCode"
      - $$flutter$$/bin/flutter build apk --dart-define=app.flavor=fdroid --release
        --no-tree-shake-icons --split-per-abi --target-platform=android-x64 --build-name=$$VERSION$$
        --build-number=$cmdVerCode

  - versionName: 3.7.1
    versionCode: 300013572
    commit: v3.7.1
    output: build/app/outputs/flutter-apk/app-armeabi-v7a-release.apk
    srclibs:
      - flutter@stable
    rm:
      - ios
      - test
    prebuild:
      - version=$(sed -n -E "s/.*flutter-version:\ '(.*)'/\1/p" .github/workflows/release.yml)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter packages pub run intl_utils:generate
      - export cmdVerCode=$(($$VERCODE$$ - 2))
      - echo "*** VERSION=$$VERSION$$ VERCODE=$$VERCODE$$ cmdVerCode=$cmdVerCode"
      - $$flutter$$/bin/flutter build apk --dart-define=app.flavor=fdroid --release
        --no-tree-shake-icons --split-per-abi --target-platform=android-arm --build-name=$$VERSION$$
        --build-number=$cmdVerCode

  - versionName: 3.7.1
    versionCode: 300013573
    commit: v3.7.1
    output: build/app/outputs/flutter-apk/app-arm64-v8a-release.apk
    srclibs:
      - flutter@stable
    rm:
      - ios
      - test
    prebuild:
      - version=$(sed -n -E "s/.*flutter-version:\ '(.*)'/\1/p" .github/workflows/release.yml)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter packages pub run intl_utils:generate
      - export cmdVerCode=$(($$VERCODE$$ - 3))
      - echo "*** VERSION=$$VERSION$$ VERCODE=$$VERCODE$$ cmdVerCode=$cmdVerCode"
      - $$flutter$$/bin/flutter build apk --dart-define=app.flavor=fdroid --release
        --no-tree-shake-icons --split-per-abi --target-platform=android-arm64 --build-name=$$VERSION$$
        --build-number=$cmdVerCode

  - versionName: 3.7.2
    versionCode: 300013691
    commit: v3.7.2
    output: build/app/outputs/flutter-apk/app-x86_64-release.apk
    srclibs:
      - flutter@stable
    rm:
      - ios
      - test
    prebuild:
      - version=$(sed -n -E "s/.*flutter-version:\ '(.*)'/\1/p" .github/workflows/release.yml)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter packages pub run intl_utils:generate
      - export cmdVerCode=$(($$VERCODE$$ - 1))
      - echo "*** VERSION=$$VERSION$$ VERCODE=$$VERCODE$$ cmdVerCode=$cmdVerCode"
      - $$flutter$$/bin/flutter build apk --dart-define=app.flavor=fdroid --release
        --no-tree-shake-icons --split-per-abi --target-platform=android-x64 --build-name=$$VERSION$$
        --build-number=$cmdVerCode

  - versionName: 3.7.2
    versionCode: 300013692
    commit: v3.7.2
    output: build/app/outputs/flutter-apk/app-armeabi-v7a-release.apk
    srclibs:
      - flutter@stable
    rm:
      - ios
      - test
    prebuild:
      - version=$(sed -n -E "s/.*flutter-version:\ '(.*)'/\1/p" .github/workflows/release.yml)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter packages pub run intl_utils:generate
      - export cmdVerCode=$(($$VERCODE$$ - 2))
      - echo "*** VERSION=$$VERSION$$ VERCODE=$$VERCODE$$ cmdVerCode=$cmdVerCode"
      - $$flutter$$/bin/flutter build apk --dart-define=app.flavor=fdroid --release
        --no-tree-shake-icons --split-per-abi --target-platform=android-arm --build-name=$$VERSION$$
        --build-number=$cmdVerCode

  - versionName: 3.7.2
    versionCode: 300013693
    commit: v3.7.2
    output: build/app/outputs/flutter-apk/app-arm64-v8a-release.apk
    srclibs:
      - flutter@stable
    rm:
      - ios
      - test
    prebuild:
      - version=$(sed -n -E "s/.*flutter-version:\ '(.*)'/\1/p" .github/workflows/release.yml)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter packages pub run intl_utils:generate
      - export cmdVerCode=$(($$VERCODE$$ - 3))
      - echo "*** VERSION=$$VERSION$$ VERCODE=$$VERCODE$$ cmdVerCode=$cmdVerCode"
      - $$flutter$$/bin/flutter build apk --dart-define=app.flavor=fdroid --release
        --no-tree-shake-icons --split-per-abi --target-platform=android-arm64 --build-name=$$VERSION$$
        --build-number=$cmdVerCode

  - versionName: 3.7.3
    versionCode: 300013901
    commit: v3.7.3
    output: build/app/outputs/flutter-apk/app-x86_64-release.apk
    srclibs:
      - flutter@stable
    rm:
      - ios
      - test
    prebuild:
      - version=$(sed -n -E "s/.*flutter-version:\ '(.*)'/\1/p" .github/workflows/release.yml)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter packages pub run intl_utils:generate
      - export cmdVerCode=$(($$VERCODE$$ - 1))
      - echo "*** VERSION=$$VERSION$$ VERCODE=$$VERCODE$$ cmdVerCode=$cmdVerCode"
      - $$flutter$$/bin/flutter build apk --dart-define=app.flavor=fdroid --release
        --no-tree-shake-icons --split-per-abi --target-platform=android-x64 --build-name=$$VERSION$$
        --build-number=$cmdVerCode

  - versionName: 3.7.3
    versionCode: 300013902
    commit: v3.7.3
    output: build/app/outputs/flutter-apk/app-armeabi-v7a-release.apk
    srclibs:
      - flutter@stable
    rm:
      - ios
      - test
    prebuild:
      - version=$(sed -n -E "s/.*flutter-version:\ '(.*)'/\1/p" .github/workflows/release.yml)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter packages pub run intl_utils:generate
      - export cmdVerCode=$(($$VERCODE$$ - 2))
      - echo "*** VERSION=$$VERSION$$ VERCODE=$$VERCODE$$ cmdVerCode=$cmdVerCode"
      - $$flutter$$/bin/flutter build apk --dart-define=app.flavor=fdroid --release
        --no-tree-shake-icons --split-per-abi --target-platform=android-arm --build-name=$$VERSION$$
        --build-number=$cmdVerCode

  - versionName: 3.7.3
    versionCode: 300013903
    commit: v3.7.3
    output: build/app/outputs/flutter-apk/app-arm64-v8a-release.apk
    srclibs:
      - flutter@stable
    rm:
      - ios
      - test
    prebuild:
      - version=$(sed -n -E "s/.*flutter-version:\ '(.*)'/\1/p" .github/workflows/release.yml)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter packages pub run intl_utils:generate
      - export cmdVerCode=$(($$VERCODE$$ - 3))
      - echo "*** VERSION=$$VERSION$$ VERCODE=$$VERCODE$$ cmdVerCode=$cmdVerCode"
      - $$flutter$$/bin/flutter build apk --dart-define=app.flavor=fdroid --release
        --no-tree-shake-icons --split-per-abi --target-platform=android-arm64 --build-name=$$VERSION$$
        --build-number=$cmdVerCode

  - versionName: 3.7.5
    versionCode: 300014361
    commit: v3.7.5
    output: build/app/outputs/flutter-apk/app-x86_64-release.apk
    srclibs:
      - flutter@stable
    rm:
      - ios
      - test
    prebuild:
      - version=$(sed -n -E "s/.*flutter-version:\ '(.*)'/\1/p" .github/workflows/release.yml)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter packages pub run intl_utils:generate
      - export cmdVerCode=$(($$VERCODE$$ - 1))
      - echo "*** VERSION=$$VERSION$$ VERCODE=$$VERCODE$$ cmdVerCode=$cmdVerCode"
      - $$flutter$$/bin/flutter build apk --dart-define=app.flavor=fdroid --release
        --no-tree-shake-icons --split-per-abi --target-platform=android-x64 --build-name=$$VERSION$$
        --build-number=$cmdVerCode

  - versionName: 3.7.5
    versionCode: 300014362
    commit: v3.7.5
    output: build/app/outputs/flutter-apk/app-armeabi-v7a-release.apk
    srclibs:
      - flutter@stable
    rm:
      - ios
      - test
    prebuild:
      - version=$(sed -n -E "s/.*flutter-version:\ '(.*)'/\1/p" .github/workflows/release.yml)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter packages pub run intl_utils:generate
      - export cmdVerCode=$(($$VERCODE$$ - 2))
      - echo "*** VERSION=$$VERSION$$ VERCODE=$$VERCODE$$ cmdVerCode=$cmdVerCode"
      - $$flutter$$/bin/flutter build apk --dart-define=app.flavor=fdroid --release
        --no-tree-shake-icons --split-per-abi --target-platform=android-arm --build-name=$$VERSION$$
        --build-number=$cmdVerCode

  - versionName: 3.7.5
    versionCode: 300014363
    commit: v3.7.5
    output: build/app/outputs/flutter-apk/app-arm64-v8a-release.apk
    srclibs:
      - flutter@stable
    rm:
      - ios
      - test
    prebuild:
      - version=$(sed -n -E "s/.*flutter-version:\ '(.*)'/\1/p" .github/workflows/release.yml)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter packages pub run intl_utils:generate
      - export cmdVerCode=$(($$VERCODE$$ - 3))
      - echo "*** VERSION=$$VERSION$$ VERCODE=$$VERCODE$$ cmdVerCode=$cmdVerCode"
      - $$flutter$$/bin/flutter build apk --dart-define=app.flavor=fdroid --release
        --no-tree-shake-icons --split-per-abi --target-platform=android-arm64 --build-name=$$VERSION$$
        --build-number=$cmdVerCode

  - versionName: 3.7.6
    versionCode: 300014561
    commit: v3.7.6
    output: build/app/outputs/flutter-apk/app-x86_64-release.apk
    srclibs:
      - flutter@stable
    rm:
      - ios
      - test
    prebuild:
      - version=$(sed -n -E "s/.*flutter-version:\ '(.*)'/\1/p" .github/workflows/release.yml)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter packages pub run intl_utils:generate
      - export cmdVerCode=$(($$VERCODE$$ - 1))
      - echo "*** VERSION=$$VERSION$$ VERCODE=$$VERCODE$$ cmdVerCode=$cmdVerCode"
      - $$flutter$$/bin/flutter build apk --dart-define=app.flavor=fdroid --release
        --no-tree-shake-icons --split-per-abi --target-platform=android-x64 --build-name=$$VERSION$$
        --build-number=$cmdVerCode

  - versionName: 3.7.6
    versionCode: 300014562
    commit: v3.7.6
    output: build/app/outputs/flutter-apk/app-armeabi-v7a-release.apk
    srclibs:
      - flutter@stable
    rm:
      - ios
      - test
    prebuild:
      - version=$(sed -n -E "s/.*flutter-version:\ '(.*)'/\1/p" .github/workflows/release.yml)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter packages pub run intl_utils:generate
      - export cmdVerCode=$(($$VERCODE$$ - 2))
      - echo "*** VERSION=$$VERSION$$ VERCODE=$$VERCODE$$ cmdVerCode=$cmdVerCode"
      - $$flutter$$/bin/flutter build apk --dart-define=app.flavor=fdroid --release
        --no-tree-shake-icons --split-per-abi --target-platform=android-arm --build-name=$$VERSION$$
        --build-number=$cmdVerCode

  - versionName: 3.7.6
    versionCode: 300014563
    commit: v3.7.6
    output: build/app/outputs/flutter-apk/app-arm64-v8a-release.apk
    srclibs:
      - flutter@stable
    rm:
      - ios
      - test
    prebuild:
      - version=$(sed -n -E "s/.*flutter-version:\ '(.*)'/\1/p" .github/workflows/release.yml)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter packages pub run intl_utils:generate
      - export cmdVerCode=$(($$VERCODE$$ - 3))
      - echo "*** VERSION=$$VERSION$$ VERCODE=$$VERCODE$$ cmdVerCode=$cmdVerCode"
      - $$flutter$$/bin/flutter build apk --dart-define=app.flavor=fdroid --release
        --no-tree-shake-icons --split-per-abi --target-platform=android-arm64 --build-name=$$VERSION$$
        --build-number=$cmdVerCode

  - versionName: 3.7.7
    versionCode: 300014721
    commit: v3.7.7
    output: build/app/outputs/flutter-apk/app-x86_64-release.apk
    srclibs:
      - flutter@stable
    rm:
      - ios
      - test
    prebuild:
      - version=$(sed -n -E "s/.*flutter-version:\ '(.*)'/\1/p" .github/workflows/release.yml)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter packages pub run intl_utils:generate
      - export cmdVerCode=$(($$VERCODE$$ - 1))
      - echo "*** VERSION=$$VERSION$$ VERCODE=$$VERCODE$$ cmdVerCode=$cmdVerCode"
      - $$flutter$$/bin/flutter build apk --dart-define=app.flavor=fdroid --release
        --no-tree-shake-icons --split-per-abi --target-platform=android-x64 --build-name=$$VERSION$$
        --build-number=$cmdVerCode

  - versionName: 3.7.7
    versionCode: 300014722
    commit: v3.7.7
    output: build/app/outputs/flutter-apk/app-armeabi-v7a-release.apk
    srclibs:
      - flutter@stable
    rm:
      - ios
      - test
    prebuild:
      - version=$(sed -n -E "s/.*flutter-version:\ '(.*)'/\1/p" .github/workflows/release.yml)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter packages pub run intl_utils:generate
      - export cmdVerCode=$(($$VERCODE$$ - 2))
      - echo "*** VERSION=$$VERSION$$ VERCODE=$$VERCODE$$ cmdVerCode=$cmdVerCode"
      - $$flutter$$/bin/flutter build apk --dart-define=app.flavor=fdroid --release
        --no-tree-shake-icons --split-per-abi --target-platform=android-arm --build-name=$$VERSION$$
        --build-number=$cmdVerCode

  - versionName: 3.7.7
    versionCode: 300014723
    commit: v3.7.7
    output: build/app/outputs/flutter-apk/app-arm64-v8a-release.apk
    srclibs:
      - flutter@stable
    rm:
      - ios
      - test
    prebuild:
      - version=$(sed -n -E "s/.*flutter-version:\ '(.*)'/\1/p" .github/workflows/release.yml)
      - pushd $$flutter$$
      - git checkout -f $version
      - popd
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
    scandelete:
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter packages pub run flutter_oss_licenses:generate.dart
      - $$flutter$$/bin/flutter packages pub run intl_utils:generate
      - export cmdVerCode=$(($$VERCODE$$ - 3))
      - echo "*** VERSION=$$VERSION$$ VERCODE=$$VERCODE$$ cmdVerCode=$cmdVerCode"
      - $$flutter$$/bin/flutter build apk --dart-define=app.flavor=fdroid --release
        --no-tree-shake-icons --split-per-abi --target-platform=android-arm64 --build-name=$$VERSION$$
        --build-number=$cmdVerCode

AutoUpdateMode: Version v%v
UpdateCheckMode: HTTP
VercodeOperation:
  - '%c + 1'
  - '%c + 2'
  - '%c + 3'
UpdateCheckData: https://github.com/j-fbriere/squawker/releases/latest/download/version.txt|build-number=([0-9]+)|.|build-name=([.0-9]+)
CurrentVersion: 3.7.7
CurrentVersionCode: 300014723
